Skip to main content
GET
Get a material container

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Path Parameters

id
string
required
Example:

"mcn_01kqz4g5cjzvwsnnps6q7183q3"

Response

Material container with its data points.

A material container: a tracked unit of material moving through the system.

id
string
required
Example:

"mcn_01kqz4g5cjzvwsnnps6q7183q3"

config_id
string
required

The ID of the container config the container is based on.

Example:

"mcnc_01k102qfrwthwk6dsggr9y8evn"

config_version_id
string
required

The ID of the container config version the container was created against.

Example:

"mcncv_01kxs8mt2y4711mz04rqs14t0a"

status
enum<string>
required

Whether the container is available as an input to further flows, consumed by one, or deactivated.

Available options:
available,
consumed,
deactivated
Example:

"available"

data_points
(short_text · object | long_text · object | multi_text · object | number · object | percentage · object | amount · object | timestamp · object | duration · object | boolean · object | material · object | material_batch · object | container_type · object | material_pool · object)[]
required

The container's data points.

Data point holding a single line of text.